import gulp from 'gulp'
import gutil from 'gulp-util'
import webpack from 'webpack'
import { argv } from 'yargs'
import buildWebpackConfig from './webpack.config.js'

const env = argv.env || 'development'

// build task
gulp.task('build', (callback) => {
  const config = buildWebpackConfig({ env })

  webpack(config, (err, stats) => {
    if (err) {
      throw new gutil.PluginError('webpack:build', err)
    }

    gutil.log('[webpack:build-dev]', stats.toString({ colors: true }))

    callback()
  })
})
